# Method: users.get

Retrieves a user.

### HTTP request

`GET https://admin.googleapis.com/admin/directory/v1/users/{userKey}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `userKey` | `string` Identifies the user in the API request. The value can be the user's primary email address, alias email address, or unique user ID. |

### Query parameters

| Parameters ||
|---|---|
| `customFieldMask` | `string` A comma-separated list of schema names. All fields from these schemas are fetched. This should only be set when `projection=custom`. |
| `projection` | ``enum (`https://developers.google.com/workspace/admin/directory/reference/rest/v1/users/get#Projection`)`` What subset of fields to fetch for this user. |
| `viewType` | ``enum (`https://developers.google.com/workspace/admin/directory/reference/rest/v1/users/get#ViewType`)`` Whether to fetch the administrator-only or domain-wide public view of the user. For more information, see [Retrieve a user as a non-administrator](https://developers.google.com/workspace/admin/directory/v1/guides/manage-users#retrieve_users_non_admin). |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/workspace/admin/directory/reference/rest/v1/users#User`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/admin.directory.user`
- `
  https://www.googleapis.com/auth/admin.directory.user.readonly`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).

## Projection

| Enums ||
|---|---|
| `BASIC` | Do not include any custom fields for the user. |
| `CUSTOM` | Include custom fields from schemas requested in `customFieldMask`. |
| `FULL` | Include all fields associated with this user. |

## ViewType

| Enums ||
|---|---|
| `admin_view` | Results include both administrator-only and domain-public fields for the user. |
| `domain_public` | Results only include fields for the user that are publicly visible to other users in the domain. |